package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TWarningThresholdHistory;
import com.chinaitop.depot.intelligent.grainsituation.model.TWarningThresholdHistoryExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TWarningThresholdHistoryMapper {
    int countByExample(TWarningThresholdHistoryExample example);

    int deleteByExample(TWarningThresholdHistoryExample example);

    int insert(TWarningThresholdHistory record);

    int insertSelective(TWarningThresholdHistory record);

    List<TWarningThresholdHistory> selectByExample(TWarningThresholdHistoryExample example);

    int updateByExampleSelective(@Param("record") TWarningThresholdHistory record, @Param("example") TWarningThresholdHistoryExample example);

    int updateByExample(@Param("record") TWarningThresholdHistory record, @Param("example") TWarningThresholdHistoryExample example);

    void insertBatch(List<TWarningThresholdHistory> testDatal);
}